[SRU] 0.80.7 stable update

Bug #1381410 reported by James Page on 2014-10-15
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceph (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

New stable release of Ceph for trusty and utopic only; already in vivid:

v0.80.7 Firefly

This release fixes a few critical issues with v0.80.6, particularly with clusters running mixed versions.

We recommend that all v0.80.x Firefly users upgrade to this release.

For more detailed information, see the complete changelog.
Notable Changes

    osd: fix invalid memory reference in log trimming (#9731 Samuel Just)
    osd: fix use-after-free in cache tiering code (#7588 Sage Weil)
    osd: remove bad backfill assertion for mixed-version clusters (#9696 Samuel Just)

v0.80.6 Firefly

This is a major bugfix release for firefly, fixing a range of issues in the OSD and monitor, particularly with cache tiering. There are also important fixes in librados, with the watch/notify mechanism used by librbd, and in radosgw.

A few pieces of new functionality of been backported, including improved ‘ceph df’ output (view amount of writeable space per pool), support for non-default cluster names when using sysvinit or systemd, and improved (and fixed) support for dmcrypt.

We recommend that all v0.80.x Firefly users upgrade to this release.

For more detailed information, see the complete changelog.
Notable Changes

    build: fix atomic64_t on i386 (#8969 Sage Weil)
    build: fix build on alpha (Michael Cree, Dmitry Smirnov)
    build: fix build on hppa (Dmitry Smirnov)
    build: fix yasm detection on x32 arch (Sage Weil)
    ceph-disk: fix ‘list’ function with dmcrypt (Sage Weil)
    ceph-disk: fix dmcrypt support (Alfredo Deza)
    ceph: allow non-default cluster to be specified (#8944)
    common: fix dup log messages to mon (#9080 Sage Weil)
    global: write pid file when -f is used (systemd, upstart) (Alexandre Oliva)
    librados: fix crash when read timeout is enabled (#9362 Matthias Kiefer, Sage Weil)
    librados: fix lock leaks in error paths (#9022 Pavan Rallabhandi)
    librados: fix watch resend on PG acting set change (#9220 Samuel Just)
    librados: python: fix aio_read handling with 0 (Mohammad Salehe)
    librbd: add interface to invalidate cached data (Josh Durgin)
    librbd: fix crash when using clone of flattened image (#8845 Josh Durgin)
    librbd: fix error path cleanup on open (#8912 Josh Durgin)
    librbd: fix null pointer check (Danny Al-Gaaf)
    librbd: limit dirty object count (Haomai Wang)
    mds: fix rstats for root and mdsdir (Yan, Zheng)
    mon: add ‘get’ command for new cache tier pool properties (Joao Eduardo Luis)
    mon: add ‘osd pool get-quota’ (#8523 Joao Eduardo Luis)
    mon: add cluster fingerprint (Sage Weil)
    mon: disallow nonsensical cache-mode transitions (#8155 Joao Eduardo Luis)
    mon: fix cache tier rounding error on i386 (Sage Weil)
    mon: fix occasional memory leak (#9176 Sage Weil)
    mon: fix reported latency for ‘osd perf’ (#9269 Samuel Just)
    mon: include ‘max avail’ in ‘ceph df’ output (Sage Weil, Xioaxi Chen)
    mon: persistently mark pools where scrub may find incomplete clones (#8882 Sage Weil)
    mon: preload erasure plugins (Loic Dachary)
    mon: prevent cache-specific settings on non-tier pools (#8696 Joao Eduardo Luis)
    mon: reduce log spam (Aanchal Agrawal, Sage Weil)
    mon: warn when cache pools have no hit_sets enabled (Sage Weil)
    msgr: fix trivial memory leak (Sage Weil)
    osd: automatically scrub PGs with invalid stats (#8147 Sage Weil)
    osd: avoid sharing PG metadata that is not durable (Samuel Just)
    osd: cap hit_set size (#9339 Samuel Just)
    osd: create default erasure profile if needed (#8601 Loic Dachary)
    osd: dump tid as JSON int (not string) where appropriate (Joao Eduardo Luis)
    osd: encode blacklist in deterministic order (#9211 Sage Weil)
    osd: fix behavior when cache tier has no hit_sets enabled (#8982 Sage Weil)
    osd: fix cache tier flushing of snapshots (#9054 Samuel Just)
    osd: fix cache tier op ordering when going from full to non-full (#8931 Sage Weil)
    osd: fix crash on dup recovery reservation (#8863 Sage Weil)
    osd: fix division by zero when pg_num adjusted with no OSDs (#9052 Sage Weil)
    osd: fix hint crash in experimental keyvaluestore_dev backend (Hoamai Wang)
    osd: fix leak in copyfrom cancellation (#8894 Samuel Just)
    osd: fix locking for copyfrom finish (#8889 Sage Weil)
    osd: fix long filename handling in backend (#8701 Sage Weil)
    osd: fix min_size check with backfill (#9497 Samuel Just)
    osd: fix mount/remount sync race (#9144 Sage Weil)
    osd: fix object listing + erasure code bug (Guang Yang)
    osd: fix race on reconnect to failed OSD (#8944 Greg Farnum)
    osd: fix recovery reservation deadlock (Samuel Just)
    osd: fix tiering agent arithmetic for negative values (#9082 Karan Singh)
    osd: improve shutdown order (#9218 Sage Weil)
    osd: improve subop discard logic (#9259 Samuel Just)
    osd: introduce optional sleep, io priority for scrub and snap trim (Sage Weil)
    osd: make scrub check for and remove stale erasure-coded objects (Samuel Just)
    osd: misc fixes (#9481 #9482 #9179 Sameul Just)
    osd: mix keyvaluestore_dev improvements (Haomai Wang)
    osd: only require CRUSH features for rules that are used (#8963 Sage Weil)
    osd: preload erasure plugins on startup (Loic Dachary)
    osd: prevent PGs from falling behind when consuming OSDMaps (#7576 Sage Weil)
    osd: prevent old clients from using tiered pools (#8714 Sage Weil)
    osd: set min_size on erasure pools to data chunk count (Sage Weil)
    osd: trim old erasure-coded objects more aggressively (Samuel Just)
    rados: enforce erasure code alignment (Lluis Pamies-Juarez)
    rgw: align object stripes with erasure pool alignment (#8442 Yehuda Sadeh)
    rgw: don’t send error body on HEAD for civetweb (#8539 Yehuda Sadeh)
    rgw: fix crash in CORS preflight request (Yehuda Sadeh)
    rgw: fix decoding of + in URL (#8702 Brian Rak)
    rgw: fix object removal on object create (#8972 Patrycja Szabowska, Yehuda Sadeh)
    systemd: use systemd-run when starting radosgw (JuanJose Galvez)
    sysvinit: support non-default cluster name (Alfredo Deza)

James Page (james-page) wrote :

For reference cinder and glance appear unable to upload/create anything in the ceph cluster with 0.86.6.

testing with packages for 0.87.7 in ppa:james-page/utopic on 14.10 development I see the following problem when osd's restart:

2014-10-16 15:28:45.834525 7f5b0b507800 0 ceph version 0.80.7 (6c0127fcb58008793d3c8b62d925bc91963672a3), process ceph-osd, pid 23749
2014-10-16 15:28:45.836094 7f5b0b507800 0 filestore(/var/lib/ceph/osd/ceph-1) mount detected xfs (libxfs)
2014-10-16 15:28:45.836099 7f5b0b507800 1 filestore(/var/lib/ceph/osd/ceph-1) disabling 'filestore replica fadvise' due to known issues with fadvise(DONTNEED) on xfs
2014-10-16 15:28:45.840216 7f5b0b507800 0 genericfilestorebackend(/var/lib/ceph/osd/ceph-1) detect_features: FIEMAP ioctl is supported and appears to work
2014-10-16 15:28:45.840348 7f5b0b507800 0 genericfilestorebackend(/var/lib/ceph/osd/ceph-1) detect_features: FIEMAP ioctl is disabled via 'filestore fiemap' config option
2014-10-16 15:28:45.841618 7f5b0b507800 0 genericfilestorebackend(/var/lib/ceph/osd/ceph-1) detect_features: syncfs(2) syscall fully supported (by glibc and kernel)
2014-10-16 15:28:45.841677 7f5b0b507800 0 xfsfilestorebackend(/var/lib/ceph/osd/ceph-1) detect_feature: extsize is disabled by conf
2014-10-16 15:28:45.845345 7f5b0b507800 0 filestore(/var/lib/ceph/osd/ceph-1) mount: enabling WRITEAHEAD journal mode: checkpoint is not enabled
2014-10-16 15:28:45.850131 7f5b0b507800 1 journal _open /var/lib/ceph/osd/ceph-1/journal fd 20: 1072693248 bytes, block size 4096 bytes, directio = 1, aio = 1
2014-10-16 15:28:45.851291 7f5b0b507800 -1 journal read_header error decoding journal header
2014-10-16 15:28:45.851333 7f5b0b507800 -1 filestore(/var/lib/ceph/osd/ceph-1) mount failed to open journal /var/lib/ceph/osd/ceph-1/journal: (22) Invalid argument
2014-10-16 15:28:45.859596 7f5b0b507800 -1 ^[[0;31m ** ERROR: error converting store /var/lib/ceph/osd/ceph-1: (22) Invalid argument^[[0m

summary: - [SRU] 0.86.6 stable update
+ [SRU] 0.86.7 stable update
James Page (james-page) wrote :

the system is using a single xfs volume for the osd, with the journal embedded on the same device, as implemented by ceph-disk.

Ian Colle (ircolle) wrote :

Please change 0.86.x to 0.80.x throughout to avoid confusion.

David Medberry (med) wrote :

It does appear that this should be referring to 0.80.* based on:
http://ceph.com/download/ and
ppa:james-page/utopic
https://launchpad.net/~james-page/+archive/ubuntu/utopic

summary: - [SRU] 0.86.7 stable update
+ [SRU] 0.80.7 stable update
James Page (james-page) wrote :

Sorry - not quite sure where I got 0.86 from...

James Page (james-page) on 2014-11-12
Changed in ceph (Ubuntu):
status: New → Fix Released
James Page (james-page) on 2014-11-12
description: updated

Hello James, or anyone else affected,

Accepted ceph into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ceph/0.80.7-0ubuntu0.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceph (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Changed in ceph (Ubuntu Utopic):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello James, or anyone else affected,

Accepted ceph into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ceph/0.80.7-0ubuntu0.14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

James Page (james-page) wrote :

Tested on Utopic as part of a full openstack deployment using the Tempest smoke test suite; also ran the ceph small io rbd benchmark for a few hours to ensure nothing fell apart.

Now moving onto trusty.

tags: added: verification-done-utopic verification-needed-trusty
removed: verification-needed
James Page (james-page) wrote :

Tested on trusty as part of a full openstack deployment using tempest smoke test suite + ceph small io rbd benchmark for a few hours to ensure nothing fell apart.

tags: added: verification-done
removed: verification-done-utopic verification-needed-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceph - 0.80.7-0ubuntu0.14.10.1

---------------
ceph (0.80.7-0ubuntu0.14.10.1) utopic; urgency=medium

  * New upstream stable release (LP: #1381410):
    - d/p/ceph-ao-require-cas.patch: Dropped, no longer required.
    - d/p/*: Refreshed.
 -- James Page <email address hidden> Wed, 12 Nov 2014 11:35:47 +0000

Changed in ceph (Ubuntu Utopic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ceph has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceph - 0.80.7-0ubuntu0.14.04.1

---------------
ceph (0.80.7-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable point release (LP: #1381410).
 -- James Page <email address hidden> Wed, 12 Nov 2014 11:31:46 +0000

Changed in ceph (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers